cURL
curl --request GET \
--url https://api.covalenthq.com/v1/cq/covalent/app/bitcoin/transactions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/cq/covalent/app/bitcoin/transactions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/cq/covalent/app/bitcoin/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"chain_id": 123,
"chain_name": "<string>",
"contract_decimals": 123,
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"block_hash": "<string>",
"tx_hash": "<string>",
"tx_idx": 123,
"type": "<string>",
"address": "<string>",
"value": "<string>",
"quote": 123,
"quote_rate": 123,
"fees_paid": "<string>",
"gas_quote": 123,
"gas_quote_rate": 123,
"coinbase": true,
"locktime": 123,
"weight": 123
}
],
"pagination": {
"has_more": true,
"page_number": 123,
"page_size": 123,
"total_count": 123
}
}Bitcoin
Get Bitcoin transactions for non-HD address
Used to fetch the full transaction history of a Bitcoin non-HD wallet address.
GET
/
v1
/
cq
/
covalent
/
app
/
bitcoin
/
transactions
/
cURL
Credit Cost
0.1 per item
Processing
Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Only supports non-HD bitcoin addresses.
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Query Parameters
The bitcoin address to query.
Number of items per page. Omitting this parameter defaults to 100.
0-indexed page number to begin pagination.
⌘I